import postcssGlobalData from '@csstools/postcss-global-data';
import postcssImport from 'postcss-import';
import postcssPresetEnv from 'postcss-preset-env';
import postcssMixins from 'postcss-mixins';

export default {
  plugins: [
    postcssGlobalData({
      files: ['./src/styles/base/custom-media.css'],
    }),
    postcssMixins({
      mixinsDir: './src/styles/mixins/',
    }),
    postcssImport(),
    postcssPresetEnv({
      stage: 2,
      features: {
        'custom-media-queries': true,
        'nesting-rules': true,
        'media-query-ranges': true,
      },
    }),
  ],
};
